#
# spec file for package qalculate
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define major	5
%define libname	libqalculate

Summary:        Powerful Calulator application
License:        GPL-2.0+
Group:          Productivity/Scientific/Math

Name:           qalculate
Version:        0.9.7
Release:        19.5
Url:            http://qalculate.sourceforge.net/
Source0:        %{libname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cln-devel
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  gmp-devel
BuildRequires:  intltool
BuildRequires:  libxml2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
BuildRequires:  readline-devel

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry
(although it supports optional traditional buttons).
This is the commandline interface, named qalc.

%package -n %{libname}%{major}
Summary:        Powerful Calulator Library
Group:          System/Libraries
Suggests:       %{name}
Provides:       %{libname} = %{version}

%description -n %{libname}%{major}
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry
(although it supports optional traditional buttons).
This is the shared library package.

%package -n %{libname}-devel
Summary:        Header files, libraries and development documentation for %{libname}
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Requires:       cln-devel
Requires:       glib2-devel
Requires:       libxml2-devel

%description -n %{libname}-devel
This package contains the header files, static libraries and development
documentation for %{libname}. If you like to develop programs using %{libname},
you will need to install %{libname}-devel.

%prep
%setup -q -n %{libname}-%{version}

%build
%configure --disable-static --disable-rpath
%{__make} %{?jobs:-j%jobs}

%install
make DESTDIR=%{buildroot} install
%find_lang libqalculate

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n %{libname}%{major} -p /sbin/ldconfig

%postun -n %{libname}%{major} -p /sbin/ldconfig

%files -f libqalculate.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS INSTALL COPYING AUTHORS TODO
%{_bindir}/qalc
%{_datadir}/%{name}
%{_datadir}/doc/%{libname}-%{version}

%files -n %{libname}%{major}
%defattr(-,root,root)
%{_libdir}/%{libname}.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{libname}
%{_libdir}/%{libname}.so
%{_libdir}/%{libname}.la
%{_libdir}/pkgconfig/%{libname}.pc

%changelog
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Wed Dec  7 2011 coolo@suse.com
- this is GPL-2.0+
* Mon Mar 14 2011 coolo@novell.com
- the usage of find_lang is mandatory
* Sun Apr 25 2010 masterpatricko@gmail.com
- Update to 0.9.7
  * General build updates and bug fixes, including the ability to build against cln >= 1.2
  * Bug fix for segfaults with some uses of integrate()
  * New Simplified Chinese translation
  * Fix crash with unsupported operator in RPN syntax
  * Fix reduction of vector size
* Fri Sep  5 2008 masterpatricko@gmail.com
- Many small fixes to spec file, with addition of patch to build on openSUSE 11+
* Sun Jun 17 2007 bwalle@suse.de
- update to 0.9.6: bug fixes
* Mon Dec 18 2006 bernhard@suse.de
- new upstream release
* Thu Jun 15 2006 bernhard@links2linux.de
- new upstream release
* Sun May 14 2006 bernhard@links2linux.de
- added BuildRequires gmp-devel
* Sun Mar 19 2006 bernhard@links2linux.de
- new upsream version 0.9.3
* Tue Jan 10 2006 bernhard@links2linux.de
- new upstream version 0.9.2
* Fri Nov  4 2005 bernhard@links2linux.de
- initial package for PackMan
